%define origname syslinux
Name: %origname-Ikarus
Version: 3.30
Release: alt1.pre5

Summary: Simple kernel loader which boots from a FAT filesystem
License: BSD
Group: System/Kernel and hardware

Source0: %origname-%version-pre5.tar.gz
Patch0: syslinux-3.11.patch
#BuildPrereq: nasm perl-base

# Automatically added by buildreq on Tue May 23 2006
BuildRequires: nasm linux-libc-headers

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an 
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots.

%package devel
Summary: Simple kernel loader which boots from a FAT filesystem, devel path
Group: System/Kernel and hardware
Requires: %name = %version
Conflicts: %origname

%description devel
Read main packages description 

%prep
%setup -q -n %origname-%version-pre5 
#patch0 -p0
%__subst 's|\(./add_crc\)|%__perl ./add_crc|g' Makefile
# disable e820test TODO:
%ifarch x86_64
%__subst 's/all: memdisk e820test/all: memdisk/' memdisk/Makefile
%endif

%build
%make_build

%install
%make_install \
	INSTALLDIR=%buildroot \
	INSTALLROOT=%buildroot \
	BINDIR=%_bindir \
	install

%files
%doc NEWS README* *.doc COPYING BUGS TODO com32/modules/mboot.doc memdisk/memdisk.doc
%dir %_libdir/%origname
%_bindir/*
/sbin/*
%_libdir/%origname

%changelog
* Thu Sep 28 2006 Hihin Ruslan <ruslandh@altlinux.ru> 3.30-alt1.pre5
- Ikarus Proba

* Tue May 23 2006 Andriy Stepanov <stanv@altlinux.ru> 3.11-alt1
- new version

* Mon Jul 04 2005 Anton D. Kachalov <mouse@altlinux.org> 2.11-alt2
- multilib support

* Sun Dec 05 2004 Anton Farygin <rider@altlinux.ru> 2.11-alt1
- new version, updated gfx patch from SUSE

* Thu Nov 27 2003 Grigory Milev <week@altlinux.ru> 2.06-alt1
- new version released
- added gfx patch from SUSE 

* Mon Aug 18 2003 Grigory Milev <week@altlinux.ru> 2.05-alt1
- new version released

* Fri Nov 29 2002 Grigory Milev <week@altlinux.ru> 2.00-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.76-alt1
- new version released

* Wed Oct  2 2002 Grigory Milev <week@altlinux.ru> 1.52-alt1
- ALT Linux adaptation

* Tue Jan 29 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.52-1aw
- AW adaptations

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
